Main Page Class Hierarchy Compound List File List Compound Members File Members Related Pages Examples

# SDLScrollBar::ScrollButton Class Reference

`#include <sdlscrollbar.h>`

Inheritance diagram for SDLScrollBar::ScrollButton

[legend]
Collaboration diagram for SDLScrollBar::ScrollButton:

[legend]
List of all members.

## Public Methods
| ScrollButton (SDLScrollBar* parent, int id, SDL_Rect& r)
virtual | ~ScrollButton ()
void | SetTickMode (bool on)
## Protected Methods
bool | eventMouseButtonDown (const SDL_MouseButtonEvent* button)
| Overridable Eventhandler for a SDL_MouseButtonEvent message. More...
bool | eventMouseMotion (const SDL_MouseMotionEvent* motion)
| Overridable Eventhandler for a SDL_MouseMotionEvent message. More...
SDLScrollBar* | GetParent ()
| Get the parentwidget of a widget. More...
bool | eventMouseButtonUp (const SDL_MouseButtonEvent* button)
| Overridable Eventhandler for a SDL_MouseButtonEvent message. More...
int | GetPosFromPoint (SDL_Point p)

## Constructor & Destructor Documentation

SDLScrollBar::ScrollButton::ScrollButton ( | SDLScrollBar * parent,
| int id,
| SDL_Rect & r )

virtual SDLScrollBar::ScrollButton::~ScrollButton ( | )`[virtual]`

## Member Function Documentation

SDLScrollBar * SDLScrollBar::ScrollButton::GetParent ( | )`[protected]`

| Get the parentwidget of a widget. Returns: a pointer to the parentwidget or NULL if there is no parentwidget Reimplemented from SDLWidget.

int SDLScrollBar::ScrollButton::GetPosFromPoint ( | SDL_Point p )`[protected]`

void SDLScrollBar::ScrollButton::SetTickMode ( | bool on )

bool SDLScrollBar::ScrollButton::eventMouseButtonDown ( | const SDL_MouseButtonEvent * button )`[protected, virtual]`

  | Overridable Eventhandler for a SDL_MouseButtonEvent message. This handler is called when a mouse button is pressed. The default implementation returns 'false' which indicates that this message is not processed by this object. Parameters:
  button | SDL_MouseButtonEvent message
Returns: Notifies the message pump if this message is processed by this object or it should be routed to the next message receiver. Reimplemented from SDLUserButton.

bool SDLScrollBar::ScrollButton::eventMouseButtonUp ( | const SDL_MouseButtonEvent * button )`[protected, virtual]`

  | Overridable Eventhandler for a SDL_MouseButtonEvent message. This handler is called when a mouse button is released. The default implementation returns 'false' which indicates that this message is not processed by this object. Parameters:
  button | SDL_MouseButtonEvent message
Returns: Notifies the message pump if this message is processed by this object or it should be routed to the next message receiver. Reimplemented from SDLUserButton.

bool SDLScrollBar::ScrollButton::eventMouseMotion ( | const SDL_MouseMotionEvent * motion )`[protected, virtual]`

  | Overridable Eventhandler for a SDL_MouseMotionEvent message. This handler is called when mouse movement is detected. The default implementation returns 'false' which indicates that this message is not processed by this object. Parameters:
  motion | SDL_MouseMotionEvent message
Returns: Notifies the message pump if this message is processed by this object or it should be routed to the next message receiver. Reimplemented from SDLMessageObject.

The documentation for this class was generated from the following file:

- sdlscrollbar.h